pkgCache::VerFile Struct Reference

associates a version with a PackageFile More...

`#include <apt-pkg/pkgcache.h>`

Collaboration diagram for pkgCache::VerFile:
[legend]

## Public Attributes

map_pointer< PackageFile > | File
| index of the package file that this version was found in
map_pointer< VerFile > | NextFile
| next step in the linked list
map_filesize_t | Offset
| position in the package file

## Detailed Description

associates a version with a PackageFile

This allows a full description of all Versions in all files (and hence all sources) under consideration.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h